Package org.codehaus.groovy.util

# Class FastArray

java.lang.Object
org.codehaus.groovy.util.FastArray

All Implemented Interfaces:
  `Serializable`, `Cloneable`

    public class FastArray
    extends Object
    implements Cloneable, Serializable

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static FastArray` | `EMPTY_LIST` |
  `int` | `size` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FastArray()` |
  `FastArray​(int initialCapacity)` |
  `FastArray​(Object[] objects)` |
  `FastArray​(Collection c)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `add​(Object o)` |
  `void` | `addAll​(Object[] newData, int size)` |
  `void` | `addAll​(List coll)` |
  `void` | `addAll​(FastArray newData)` |
  `void` | `clear()` |
  `FastArray` | `copy()` |
  `Object` | `get​(int index)` |
  `Object[]` | `getArray()` |
  `boolean` | `isEmpty()` |
  `void` | `remove​(int index)` |
  `void` | `set​(int index, Object o)` |
  `int` | `size()` |
  `List` | `toList()` |
  `String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### size

    public int size

  - ### EMPTY_LIST

    public static final FastArray EMPTY_LIST

- ## Constructor Details

  - ### FastArray

    public FastArray​(int initialCapacity)

  - ### FastArray

    public FastArray()

  - ### FastArray

    public FastArray​(Collection c)

  - ### FastArray

    public FastArray​(Object[] objects)

- ## Method Details

  - ### get

    public Object get​(int index)

  - ### add

    public void add​(Object o)

  - ### set

    public void set​(int index, Object o)

  - ### size

    public int size()

  - ### clear

    public void clear()

  - ### addAll

    public void addAll​(FastArray newData)

  - ### addAll

    public void addAll​(Object[] newData, int size)

  - ### copy

    public FastArray copy()

  - ### isEmpty

    public boolean isEmpty()

  - ### addAll

    public void addAll​(List coll)

  - ### remove

    public void remove​(int index)

  - ### toList

    public List toList()

  - ### getArray

    public Object[] getArray()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`